dnl Check to find the zlib headers/libraries
dnl AC_LIB_ZLIB[(ACTION-IF-FOUND[,ACTION-IF-NOT-FOUND])]
dnl Check to find the zlib headers/libraries
dnl
dnl enables argument --with-zlib[=PREFIX]
dnl
dnl sets variables ZLIB_CFLAGS
dnl                ZLIB_LDFLAGS
dnl                ZLIB_LIBS
dnl                zlib_comment
dnl
AC_DEFUN([AC_LIB_ZLIB],[
  AC_ARG_WITH(zlib,
    AC_HELP_STRING([--with-zlib[=PREFIX]],[prefix where zlib is installed]),
    ac_zlib=$withval)

  if test x$ac_zlib != xno ; then
    if test x$ac_zlib != xyes && test x$ac_zlib != x ; then
      ZLIB_CFLAGS="-I$ac_zlib/include"
      ZLIB_LDFLAGS="-L$ac_zlib/lib"
    fi
    ZLIB_LIBS="$ZLIB_LDFLAGS -lz"

    ac_old_LDFLAGS=$LDFLAGS
    LDFLAGS=$LDFLAGS $ZLIB_LDFLAGS
    AC_CHECK_LIB(z,inflateEnd,[ac_found=yes],[ac_found=no])
    if test $ac_found = yes ; then
      ac_old_CFLAGS=$CFLAGS
      CFLAGS=$CFLAGS $ZLIB_CFLAGS
      AC_CHECK_HEADER(zlib.h,[ac_found=yes],[ac_found=no])
      CFLAGS=$ac_old_CFLAGS
    fi
    LDFLAGS=$LDFLAGS
    if test $ac_found = yes ; then
      ifelse([$1], , :, [$1])
    else
      unset ZLIB_CFLAGS
      unset ZLIB_LDFLAGS
      unset ZLIB_LIBS
      zlib_comment="(zlib not found)"
      ifelse([$2], , :, [$2])
    fi
  else
    zlib_comment="(zlib explicitly disabled)"
    ifelse([$2], , :, [$2])
  fi
  AC_SUBST(ZLIB_CFLAGS)
  AC_SUBST(ZLIB_LDFLAGS)
  AC_SUBST(ZLIB_LIBS)
])
