/*
 * simple wrapper around zlib
 *
 * Author: Magnus Bergman <fabel@users.sourceforge.net>
 *
 * This file is public domain.
 */

#ifndef compression_h
#define compression_h

typedef struct _CompressionContext CompressionContext;

typedef void(*CompressionCallback)(void* data,int bytes,void* userdata);

CompressionContext* compress_init(CompressionCallback,void* userdata);
void compress_feed(CompressionContext*,void* data,int bytes);
void compress_done(CompressionContext*);

CompressionContext* decompress_init(CompressionCallback,void* userdata);
void decompress_feed(CompressionContext*,void* data,int bytes);
void decompress_done(CompressionContext*);

#endif /* compression_h */
