/*
 * Author: Magnus Bergman <fabel@users.sourceforge.net>
 *
 * This file is public domain.
 */

#ifndef debug_h
#define debug_h

#ifdef DEBUG
# include <stdio.h>
# ifdef linux
#  define DEBUG_init()
# else
#  include <fcntl.h>
#  include <sys/stat.h>
#  include <unistd.h>
#  define DEBUG_init() {int fd=open("debug.log",O_WRONLY|O_CREAT|O_TRUNC,S_IREAD|S_IWRITE);close(2);dup2(fd,2);}
# endif
# ifdef DEBUG_DOMAIN
#  define DEBUG_p(a,...) fprintf(stderr,"DEBUG (" DEBUG_DOMAIN "): %s(): " a "\n",__func__,##__VA_ARGS__)
# else
#  define DEBUG_p(a,...) fprintf(stderr,"DEBUG: %s(): " a "\n",__func__,##__VA_ARGS__)
# endif
#else
# define DEBUG_init()
# define DEBUG_p(...)
#endif

#endif
