/*
 * glade2c - convert glade user interfaces to C source
 *
 * Copyright (C) 2009 Magnus Bergman
 *
 * Author: Magnus Bergman <fabel@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef read_widgetdb_h
#define read_widgetdb_h

#include <glib.h>

typedef enum {T_UNKNOWN,T_LITERAL,T_BOOLEAN,T_INTEGER,T_REAL,T_STRING} PropertyType;

typedef struct{
    char* string;
    GSList* args;
    char* condition;
}FunctionInfo;

typedef struct{
    char* name;
    PropertyType type;
    char* default_value;
    char* setter;
    GSList* setter_args;
}PropertyInfo;

typedef struct _WidgetInfo WidgetInfo;
struct _WidgetInfo{
    char* class;
    WidgetInfo* parent;
    GSList* constructor_list;
    GSList* linker_list;
    GSList* property_list;
};

extern GSList* widgetdb;

gboolean read_widgetdb();

#endif /* read_widgetdb_h */
